VARKON Version 1.17D 2003-03-25

## tcp_close - function

Description
Closes a socket connection formerly established with TCP_connect or TCP_listen.

Syntax
tcp_close(socket);

INT | socket

Principal parameters
socket | - id of the connection to close.

Optional parameters
none

Return value
An INT value equal to the current error status as below:

0 = | Operation was successful.
-2 = | The descriptor is not a socket or the socket is not connected.
-3 = | The network subsystem or the associated service provider has failed.
-17 = | Winsock routine closesocket() failed.

See also
tcp_connect() tcp_listen() tcp_outint() tcp_inint() tcp_outfloat() tcp_infloat() tcp_outvec() tcp_invec() tcp_getlocal() tcp_getremote()

VARKON Homepage | Index